char zeile[10000];
char suchwort[100];
int found = 0;

fp = fopen(Dateiname, "r");
if (fp == NULL ) 
  { 
  printf("Datei %s nicht gefunden!\n\n", Dateiname); 
  exit(1); 
  }

do 
  { 
  fgets(zeile, sizeof(zeile), fp);
  found = (!feof(fp) && strstr(zeile, suchwort) != NULL);
  } while (!(feof(fp) || found)); 

fclose(fp); 